

using CommonServiceLocator;
using Valg.EVA.Skanning.JobManagement.Startup.UI.Counting;
using Valg.EVA.Skanning.JobManagement.Startup.UI.Filter;
using Valg.EVA.Skanning.JobManagement.Startup.UI.PollingDistrict;
using Valg.EVA.Skanning.JobManagement.Startup.UI.TransferOverview;
using Valg.EVA.Skanning.JobManagement.Startup.UI.VotingCategories;

namespace Valg.EVA.Skanning.JobManagement.Startup.UI
{
    public class ViewModelLocator
    {
        public TransferOverviewViewModel TransferOverviewViewModel => ServiceLocator.Current.GetInstance<TransferOverviewViewModel>();

        public VotingCategoriesViewModel VotingCategoriesViewModel => ServiceLocator.Current.GetInstance<VotingCategoriesViewModel>();

        public StartCountingButtonViewModel StartCountingButtonViewModel => ServiceLocator.Current.GetInstance<StartCountingButtonViewModel>();

        public StartCountingPopupViewModel StartCountingPopupViewModel => ServiceLocator.Current.GetInstance<StartCountingPopupViewModel>();

        public PollingDistrictsViewModel PollingDistrictsViewModel => ServiceLocator.Current.GetInstance<PollingDistrictsViewModel>();

        public PollingDistrictViewModel PollingDistrictViewModel => ServiceLocator.Current.GetInstance<PollingDistrictViewModel>();

        public FilterViewModel FilterViewModel => ServiceLocator.Current.GetInstance<FilterViewModel>();
    }
}

